%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define libname %mklibname cryptui %{major}
%define girname %mklibname cryptui-gir %{major}.0
%define develname %mklibname -d cryptui

Name:		libcryptui
Summary:	Interface components for OpenPGP
Version:	3.12.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.35
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.25.5
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libnotify) >= 0.3
BuildRequires:	pkgconfig(sm)
BuildRequires:	gnupg
BuildRequires:	gpgme-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gobject-introspection-devel >= 0.6.4
Requires:	gnupg
Conflicts:	seahorse < 3.1.4

%description
libcryptui is a library used for prompting for PGP keys.

%package -n %{libname}
Group:		System/Libraries
Summary:	Interface components for OpenPGP
Requires:	%{name} = %{version}
Obsoletes:	%{_lib}seahorse0 < 3.1.4

%description -n %{libname}
libcryptui is a library used for prompting for PGP keys.
 
%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface description for %{name}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}seahorse-gir0.0 < 3.1.4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Header files required to develop with libcryptui
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}seahorse-devel < 3.1.4

%description -n %{develname}
The libcryptui-devel package contains the header files and developer
documentation for the libcryptui library.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--disable-update-mime-database \
	--disable-schemas-compile
%make

%install
%makeinstall_std

%find_lang cryptui

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -f cryptui.lang
%{_bindir}/seahorse-daemon
%{_datadir}/cryptui
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/pixmaps/cryptui

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/%{name}.so.0

%files -n %{girname}
%{_libdir}/girepository-1.0/CryptUI-%{major}.%{major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir


%changelog
* Thu Jul 13 2017 adrianomorselli <adrianomorselli> 3.12.2-1uplos2017
- imported for update nemo extension
